学习flutter,配置dart sdk时候遇见的那些坑

2019年9月15日08:11:06 发表评论 926 views

学习flutter,配置dart sdk的时候遇见个坑,做个分享。

flutter是基于dart语言开发的,需要先配置dart sdk(我用vscode来敲dart)。

第一步,打开 dart.dev 网址,点击 get Dart 如下图

学习flutter,配置dart sdk时候遇见的那些坑

第二步,点击下图的 install homebrew

学习flutter,配置dart sdk时候遇见的那些坑

第三步,在终端运行以下命令行

  • /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
    复制代码

学习flutter,配置dart sdk时候遇见的那些坑

正常运行完如下图

学习flutter,配置dart sdk时候遇见的那些坑

第四步,在终端运行以下命令行

brew tap dart-lang/dart
brew install dart
复制代码

当我们运行完 brew install dart 的时候 ,终端可能会报错,下载失败。如下图。sdk下载不下来,咋整呢。我们可以这样。在浏览器中打开终端中给的链接(就是红色框圈中的部分),先把sdk下载到电脑中。

学习flutter,配置dart sdk时候遇见的那些坑

下载完如图

学习flutter,配置dart sdk时候遇见的那些坑

然后我们做以下配置,终端输入 vim ~/.bash_profile 进入vim,在vim中输入以下配置

export PATH=${PATH}:/Users/rmc/Desktop/dart-sdk/bin ,这个就是sdk的路径,注意后面要有/bin,一开始我配置了export PATH=${PATH}:/Users/rmc/Desktop/dart-sdk,还是不好使。退出vim,保存就完事了。sdk就配置好了。

学习flutter,配置dart sdk时候遇见的那些坑

作者:我是来学习的别拉我干别的
来源:掘金

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: